com.google.appengine.api.datastore.dev

## Interface DatastoreV3

- All Known Implementing Classes:
    DatastoreV3Impl

      public interface DatastoreV3

  An interface for an implementation of a local version of the Datastore V3 service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActions(TaskQueueBulkAddRequest req)`
    `AllocateIdsResponse` | `allocateIds(AllocateIdsRequest req)`
    `Transaction` | `beginTransaction(BeginTransactionRequest req)`
    `CommitResponse` | `commit(Transaction req)`
    `long` | `createIndex(CompositeIndex req)`
    `DeleteResponse` | `delete(DeleteRequest req)`
    `void` | `deleteCursor(Cursor req)`
    `void` | `deleteIndex(CompositeIndex req)`
    `GetResponse` | `get(GetRequest req)`
    `CompositeIndices` | `getIndices(java.lang.String appId)`
    `QueryResult` | `next(NextRequest req)`
    `PutResponse` | `put(PutRequest req)`
    `void` | `rollback(Transaction req)`
    `QueryResult` | `runQuery(Query req)`
    `void` | `updateIndex(CompositeIndex req)`

- - ### Method Detail

    - #### addActions

          void addActions(TaskQueueBulkAddRequest req)

    - #### allocateIds

          AllocateIdsResponse allocateIds(AllocateIdsRequest req)

    - #### beginTransaction

          Transaction beginTransaction(BeginTransactionRequest req)

    - #### commit

          CommitResponse commit(Transaction req)

    - #### createIndex

          long createIndex(CompositeIndex req)

    - #### delete

          DeleteResponse delete(DeleteRequest req)

    - #### deleteCursor

          void deleteCursor(Cursor req)

    - #### deleteIndex

          void deleteIndex(CompositeIndex req)

    - #### get

          GetResponse get(GetRequest req)

    - #### getIndices

          CompositeIndices getIndices(java.lang.String appId)

    - #### next

          QueryResult next(NextRequest req)

    - #### put

          PutResponse put(PutRequest req)

    - #### rollback

          void rollback(Transaction req)

    - #### runQuery

          QueryResult runQuery(Query req)

    - #### updateIndex

          void updateIndex(CompositeIndex req)